Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.terminal
Interface VerifiedAPDUInterface

public abstract interface VerifiedAPDUInterface

A `CardTerminal` that implements the `VerifiedAPDUInterface` can query the user for CHV (Card Holder Verification) data and insert that CHV data into the `CommandAPDU`.

See Also:
  `CardTerminal`

Method Summary
`ResponseAPDU` | `sendVerifiedCommandAPDU(SlotChannel chann, CommandAPDU capdu, CHVControl vc)` Send a `CommandAPDU` and have it verified by the `CardTerminal`.
`ResponseAPDU` | `sendVerifiedCommandAPDU(SlotChannel chann, CommandAPDU capdu, CHVControl vc, int ms)` Deprecated. do not implement in terminals implementing this interface !

Method Detail

### sendVerifiedCommandAPDU

    public ResponseAPDU sendVerifiedCommandAPDU(SlotChannel chann,
                                                CommandAPDU capdu,
                                                CHVControl vc,
                                                int ms)
                                         throws CardTerminalException

  Deprecated. do not implement in terminals implementing this interface !

### sendVerifiedCommandAPDU

    public ResponseAPDU sendVerifiedCommandAPDU(SlotChannel chann,
                                                CommandAPDU capdu,
                                                CHVControl vc)
                                         throws CardTerminalException

  Send a `CommandAPDU` and have it verified by the `CardTerminal`.
  Parameters:
    `chann` - The `SlotChannel` indicating which slot this method applies to.
    `capdu` - The `CommandAPDU` to send.
    `vc` - A `CardVerifyControl` object indicating the verification parameters to use.
  Returns:
    The `ResponseAPDU` as received from the smart card.
  Throws:
    CardTerminalException - Thrown when an error condition occured.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD